<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserRequest extends Model
{

    protected $fillable = ['sender_id', 'receiver_id'];

    public function getImageAttribute($image){

        return get_uploaded_image_url( $image, 'activity_image_upload_dir', 'camera_placeholder.png' );
        
    }

    public function sender()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    public function receiver()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }
}
